HELM(1)

NAME

helm-create - create a new chart with the given name

SYNOPSIS

helm create NAME

DESCRIPTION

This command creates a chart directory along with the common files and directories used in a chart.

For example, 'helm create foo' will create a directory structure that looks something like this:

    foo/
      |
      |- .helmignore   # Contains patterns to ignore when packaging Helm charts.
      |
      |- Chart.yaml    # Information about your chart
      |
      |- values.yaml   # The default values for your templates
      |
      |- charts/       # Charts that this chart depends on
      |
      |- templates/    # The template files

'helm create' takes a path for an argument. If directories in the given path do not exist, Helm will attempt to create them as it goes. If the given destination exists and there are files in that directory, conflicting files will be overwritten, but other files will be left alone.

OPTIONS

-p, --starter=""
    the named Helm starter scaffold

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra